Get log export configuration
Returns the function’s configured log export destination and which log types are exported. Headers are never returned. Returns 404 (error code 10005) when no destination is configured for the function.
GET
/
compute
/
funcs
/
{id}
/
logs
/
export
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.compute.funcs.export.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.compute.funcs.export.list(
"id",
)
print(page.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
export, err := client.Compute.Funcs.Export.List(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", export.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.compute().funcs().export().list("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.compute.funcs.export.list("id")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->compute->funcs->export->list(
'id',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx compute:funcs:export list \
--api-key 'My API Key' \
--id idcurl --request GET \
--url https://api.telnyx.com/v2/compute/funcs/{id}/logs/export \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "compute_func_log_export_config",
"id": "cfg-1",
"func_id": "6b7e8f9a-1c2d-3e4f-5a6b-7c8d9e0f1a2b",
"endpoint": "https://api.honeycomb.io/v1/logs",
"enabled": true,
"runtime_export_enabled": true,
"invocation_export_enabled": true,
"created_at": "2026-09-18T14:30:00.000Z",
"updated_at": "2026-09-21T18:00:00.000Z"
}
}{
"errors": [
{
"code": "10020",
"title": "Unprocessable entity",
"detail": "Request could not be processed."
}
]
}{
"errors": [
{
"code": "10001",
"title": "Unauthorized",
"detail": "Invalid or missing API key."
}
]
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "The requested resource or URL could not be found."
}
]
}{
"errors": [
{
"code": "10020",
"title": "Unprocessable entity",
"detail": "Request could not be processed."
}
]
}{
"errors": [
{
"code": "10010",
"title": "Internal server error",
"detail": "An unexpected error occurred."
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Function ID
Response
Log export configuration retrieved successfully
Metadata-only view of a function's log export destination. Header values are write-only (encrypted server-side) and never appear in any response.
Show child attributes
Show child attributes
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.compute.funcs.export.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.compute.funcs.export.list(
"id",
)
print(page.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
export, err := client.Compute.Funcs.Export.List(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", export.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.compute().funcs().export().list("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.compute.funcs.export.list("id")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->compute->funcs->export->list(
'id',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx compute:funcs:export list \
--api-key 'My API Key' \
--id idcurl --request GET \
--url https://api.telnyx.com/v2/compute/funcs/{id}/logs/export \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "compute_func_log_export_config",
"id": "cfg-1",
"func_id": "6b7e8f9a-1c2d-3e4f-5a6b-7c8d9e0f1a2b",
"endpoint": "https://api.honeycomb.io/v1/logs",
"enabled": true,
"runtime_export_enabled": true,
"invocation_export_enabled": true,
"created_at": "2026-09-18T14:30:00.000Z",
"updated_at": "2026-09-21T18:00:00.000Z"
}
}{
"errors": [
{
"code": "10020",
"title": "Unprocessable entity",
"detail": "Request could not be processed."
}
]
}{
"errors": [
{
"code": "10001",
"title": "Unauthorized",
"detail": "Invalid or missing API key."
}
]
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "The requested resource or URL could not be found."
}
]
}{
"errors": [
{
"code": "10020",
"title": "Unprocessable entity",
"detail": "Request could not be processed."
}
]
}{
"errors": [
{
"code": "10010",
"title": "Internal server error",
"detail": "An unexpected error occurred."
}
]
}